package com.junmp.jyzb.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "com-junmp-jyzb-domain-LogDetail")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("base_log_detail")
public class LogDetail implements Serializable {
    /**
     * 出入库明细ID
     */
    @ApiModelProperty(value = "出入库明细ID")
    private Integer id;

    /**
     * 物资id
     */
    @ApiModelProperty(value = "物资id")
    @TableField("inventory_id")
    private String inventoryId;

    /**
     * 出入库汇总ID
     */
    @ApiModelProperty(value = "出入库汇总ID")
    @TableField("summary_id")
    private Integer summaryId;

    /**
     * 单据ID
     */
    @ApiModelProperty(value = "单据ID")
    @TableField("order_main_id")
    private String orderMainId;

    /**
     * EPC信息
     */
    @ApiModelProperty(value = "EPC信息")
    private String epc;

    /**
     * 装备名称
     */
    @ApiModelProperty(value = "装备名称id")
    @TableField("type_id")
    private String typeId;
    /**
     * 装备名称
     */
    @ApiModelProperty(value = "装备名称")
    @TableField("type_name")
    private String typeName;


    /**
     * 装备号型id
     */
    @ApiModelProperty(value = "装备号型id")
    @TableField("size_id")
    private String sizeId;
    /**
     * 装备号型
     */
    @ApiModelProperty(value = "装备号型")
    @TableField("size_name")
    private String sizeName;


    /**
     * 供应商id
     */
    @ApiModelProperty(value = "供应商")
    @TableField("supplier_id")
    private String supplierId;
    /**
     * 供应商
     */
    @ApiModelProperty(value = "供应商")
    @TableField("supplier_name")
    private String supplierName;

    /**
     * 装备类型:0单件/1装备包
     */
    @ApiModelProperty(value = "装备类型:0单件/1装备包")
    @TableField("equipment_type")
    private Integer equipmentType;

    /**
     * 状态，0正常/1异常
     */
    @ApiModelProperty(value = "状态，0正常/1异常")
    @TableField("error_state")
    private Integer errorState;

    /**
     * 出入库类型:0出库/1入库
     */
    @ApiModelProperty(value = "出入库类型:0出库/1入库")
    @TableField("out_in_state")
    private String outInState;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

    /**
     * 更新人员
     */
    @TableField(value = "update_user", fill = FieldFill.INSERT)
    private String updateUser;

    /**
     * 创建人员
     */
    @TableField(value = "create_user", fill = FieldFill.UPDATE)
    private String createUser;

    /**
     * 照片信息
     */
    @ApiModelProperty(value = "照片信息")
    private String picture;

    /**
     * 作业设备：0手持机 1单警柜 2通道）
     */
    @ApiModelProperty(value = "业务类型")
    @TableField("device_type")
    private Integer deviceType;

    /**
     * 存储ID
     */
    @ApiModelProperty(value = "存储ID")
    @TableField("location_id")
    private String locationId;

    /**
     * 存储名称：XX仓库，XX单警柜
     */
    @ApiModelProperty(value = "存储名称")
    @TableField("location_name")
    private String locationName;

    /**
     * 单警柜id
     */
    @ApiModelProperty(value = "单警柜id")
    @TableField("cabinet_id")
    private String cabinetId;

    @TableField(exist = false)
    private String cabinetBoxNum;

    private static final long serialVersionUID = 1L;
}